
image: busybox:latest

stages:
  - build
  - test
  - deploy

build1:
  stage: build
  script:
    - echo "build"

test1:
  stage: test
  script:
    - echo "test1"
    - exit 1
  allow_failure: true

test2:
  stage: test
  script:
    - echo "test2"
    - exit 0

deploy:
  stage: deploy
  script:
    - echo "deploy"
